% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/person_fit.R
\name{person_fit}
\alias{person_fit}
\alias{person_fit,Response_set,Itempool-method}
\alias{person_fit,ANY,Itempool-method}
\alias{person_fit,ANY,Testlet-method}
\title{Calculate person-fit indices}
\usage{
person_fit(resp, ip, theta, type = "lz")

\S4method{person_fit}{Response_set,Itempool}(resp, ip, theta, type = "lz")

\S4method{person_fit}{ANY,Itempool}(resp, ip, theta, type = "lz")

\S4method{person_fit}{ANY,Testlet}(resp, ip, theta, type = "lz")
}
\arguments{
\item{resp}{A vector of item responses.}

\item{ip}{An \code{\link{Item-class}}, \code{\link{Itempool-class}} or a
\code{\link{Testlet-class}} object.}

\item{theta}{An vector containing ability parameters.}

\item{type}{The type of the person-fit index.}
}
\value{
A vector of person-fit index values.
}
\description{
\code{person_fit} calculates the fit of a person to a given psychometric
model.
}
\author{
Emre Gonulates
}
